﻿#include <QtCore/QString>
#include <gaodenormalprovider.h>
#pragma execution_character_set("utf-8")

namespace LAMPMainWidget {

	GaodeNormalProvider::GaodeNormalProvider(QObject* parent)
		: TmsProvider(parent) {
		initCache();
	}

	QString
		GaodeNormalProvider::tileUrl(const LAMPMainWidget::PointXY& pos, int zoom) const {

		QString urlFmt = { R"(http://wprd01.is.autonavi.com/appmaptile?style=6&x=%1&y=%2&z=%3)" };
		return QString(urlFmt).arg(pos.x()).arg(pos.y()).arg(zoom);
	}
	//http://wprd01.is.autonavi.com/appmaptile?x={x}&y={y}&z={z}&lang=zh_cn&size=1&scl=1&style=6
}



