#pragma once
#ifndef __SPG4FUNCTION__H__
#define __SPG4FUNCTION__H__
#include "SPG4Tool_global.h"
#include "BaseConstVariable.h"
#include <vector>
#include <QDateTime>
//void RunTle(libsgp4::Tle tle, double start, double end, double inc);



SPG4TOOL_EXPORT double parseTLETimeOffset(const std::string& tle);
/// <summary>
/// иٶȣעⷵصĵλ km
/// </summary>
/// <param name="line1"></param>
/// <param name="line2"></param>
/// <param name="start"></param>
/// <param name="end"></param>
/// <param name="inc"></param>
/// <param name="printfinfoflag"></param>
/// <param name="running"></param>
/// <param name="first_run"></param>
/// <returns></returns>
SPG4TOOL_EXPORT std::vector<SatelliteAntPos> getGPSPoints(std::string line1, std::string line2, double start, double end, double inc, bool printfinfoflag = false, bool running = true, bool first_run = true);
SPG4TOOL_EXPORT bool PassPredict(std::vector<QDateTime>& aos, std::vector<QDateTime>& los, std::string line1, std::string line2, double startTime, double predictDayLen, double lon, double lat, double ati);


#endif
