#ifndef __GPUBPIMAGENET_CUH___
#define __GPUBPIMAGENET_CUH___


#include "BaseConstVariable.h"
#include "GPUTool.cuh"
#include <cuda_runtime.h>
#include <device_launch_parameters.h>
#include <cublas_v2.h>
#include <cuComplex.h>
#include "GPUTool.cuh"
#include "GPUBPTool.cuh"





extern "C" void TIMEBPCreateImageGrid(
	double* antPx, double* antPy, double* antPz,  //  S
	double* antDirx, double* antDiry, double* antDirz, // 
	double* imgx, double* imgy, double* imgz,
	long prfcount, long freqpoints, double meanH,
	double Rnear, double dx
);



#endif