#pragma once

#include <QDialog>


namespace Ui {
	class QCreateInSARImagePlaneXYZRDialogClass;
}

class QCreateInSARImagePlaneXYZRDialog : public QDialog
{
	Q_OBJECT

public:
	QCreateInSARImagePlaneXYZRDialog(QWidget *parent = nullptr);
	~QCreateInSARImagePlaneXYZRDialog();

private:
	Ui::QCreateInSARImagePlaneXYZRDialogClass* ui;


public  slots:
	void onaccepted();
	void onrejected();

	void onpushButtonOrbitModelClicked(bool);
	void onpushButtonSataSettingClicked(bool);
	void onpushButtonDEMClicked(bool);
	void onpushButtonSloperClicked(bool);
	void onpushButtonOutDirClicked(bool);



private: // doppler 
	void LookTableSimualtionMainProcess(
		QString sateName,
		QString orbitpath, QString SatePath, QString DEMPath, QString outDirPath
	);

	void LookTableSimulationDopplerProcess(
		QString DEMPath,
		QString outLookTablePath,

		// ʽ
		long double			OribtStartTime, // ģͲοʱ
		std::vector<double> PolyfitPx, // 50
		std::vector<double> PolyfitPy, // 50
		std::vector<double> PolyfitPz, // 50
		std::vector<double> PolyfitVx, // 50
		std::vector<double> PolyfitVy, // 50
		std::vector<double> PolyfitVz, // 50


		// ղ
		double dopplerRefrenceTime,
		std::vector<double> DopplerCentroidCoefficients,// d0 ~ d5 

		// 
		double starttime, // ʼʱ
		double endtime,   // ʱ
		double nearRange, // б
		double farRange,  // Զб
		double PRF, // ظƵ
		double Fs, // Ƶ
		double lamda
	);

 

};
