#include "QImageSARRFPC.h"
#include <QFileDialog>
#include <QMessageBox>
#include "RFPCProcessCls.h"
#include <boost/thread.hpp>
#include <thread>
#include "ui_QImageSARRFPC.h"


QImageSARRFPC::QImageSARRFPC(QWidget *parent)
	: QDialog(parent), ui(new Ui::QImageSARRFPCClass)
{
	ui->setupUi(this);


	QObject::connect(ui->pushButtonRP, SIGNAL(clicked()), this, SLOT(onpushButtonRPClieck()));
	QObject::connect(ui->pushButtonTP, SIGNAL(clicked()), this, SLOT(onpushButtonTPClieck()));
	QObject::connect(ui->pushButtonEcho, SIGNAL(clicked()), this, SLOT(onpushButtonEchoClieck()));
	QObject::connect(ui->pushButtongpxml, SIGNAL(clicked()), this, SLOT(onpushButtongpxmlClieck()));
	QObject::connect(ui->pushButtonTaskxml, SIGNAL(clicked()), this, SLOT(onpushButtonTaskxmlClieck()));
	QObject::connect(ui->pushButtondem, SIGNAL(clicked()), this, SLOT(onpushButtondemClieck()));
	QObject::connect(ui->pushButtonlandcover, SIGNAL(clicked()), this, SLOT(onpushButtonlandcoverClieck()));
	QObject::connect(ui->pushButtonsloper, SIGNAL(clicked()), this, SLOT(onpushButtonSloperClieck()));
 


	QObject::connect(ui->buttonBox, SIGNAL(accepted()), this, SLOT(onBtnaccept()));
	QObject::connect(ui->buttonBox, SIGNAL(rejected()), this, SLOT(onBtnReject()));


}

QImageSARRFPC::~QImageSARRFPC()
{}

void QImageSARRFPC::onpushButtonRPClieck()
{
	// ļѡԻѡһ .tif ļ
	QString fileName = QFileDialog::getSaveFileName(this,
		u8"շͼ",          // Ի
		"",                        // ʼĿ¼Ϊ·
		u8"csv Files (*.csv);;All Files (*)"); // ļ͹

	if (!fileName.isEmpty()) {
		this->ui->receivePatternFilePathEdit->setText(fileName);
	}
	else {
		QMessageBox::information(this, u8"ûѡļ", u8"ûѡκļ");
	}
}

void QImageSARRFPC::onpushButtonTPClieck()
{
	// ļѡԻѡһ .tif ļ
	QString fileName = QFileDialog::getSaveFileName(this,
		u8"䷽ͼ",          // Ի
		"",                        // ʼĿ¼Ϊ·
		u8"csv Files (*.csv);;All Files (*)"); // ļ͹

	if (!fileName.isEmpty()) {
		this->ui->transformPatternFilePathEdit->setText(fileName);
	}
	else {
		QMessageBox::information(this, u8"ûѡļ", u8"ûѡκļ");
	}
}

void QImageSARRFPC::onpushButtonEchoClieck()
{
	// ļѡԻѡһ .tif ļ
	QString fileName = QFileDialog::getExistingDirectory(this, u8"ѡز·", "");

	if (!fileName.isEmpty()) {
		this->ui->outEchoPathEdit->setText(fileName);
	}
	else {
		QMessageBox::information(this, u8"ûѡļ", u8"ûѡκļ");
	}

}

void QImageSARRFPC::onpushButtongpxmlClieck()
{
	// ļѡԻѡһ .tif ļ
	QString fileName = QFileDialog::getOpenFileName(this,
		u8"GPS xml",          // Ի
		"",                        // ʼĿ¼Ϊ·
		u8"xml Files (*.xml);;All Files (*)"); // ļ͹

	if (!fileName.isEmpty()) {
		this->ui->gpsXmlPathEdit->setText(fileName);
	}
	else {
		QMessageBox::information(this, u8"ûѡļ", u8"ûѡκļ");
	}
}

void QImageSARRFPC::onpushButtonTaskxmlClieck()
{
	// ļѡԻѡһ .tif ļ
	QString fileName = QFileDialog::getOpenFileName(this,
		u8"xml",          // Ի
		"",                        // ʼĿ¼Ϊ·
		u8"xml Files (*.xml);;All Files (*)"); // ļ͹

	if (!fileName.isEmpty()) {
		this->ui->taskXmlPathEdit->setText(fileName);
	}
	else {
		QMessageBox::information(this, u8"ûѡļ", u8"ûѡκļ");
	}
}

void QImageSARRFPC::onpushButtondemClieck()
{
	// ļѡԻѡһ .tif ļ
	QString fileName = QFileDialog::getOpenFileName(this,
		u8"demļ",          // Ի
		"",                        // ʼĿ¼Ϊ·
		u8"All Files (*);;tif Files (*.tif);;data Files (*.dat);;bin Files (*.bin)"); // ļ͹

	if (!fileName.isEmpty()) {
		this->ui->demTiffPathEdit->setText(fileName);
	}
	else {
		QMessageBox::information(this, u8"ûѡļ", u8"ûѡκļ");
	}
}

void QImageSARRFPC::onpushButtonSloperClieck()
{
	// ļѡԻѡһ .tif ļ
	QString fileName = QFileDialog::getOpenFileName(this,
		u8"sloperļ",          // Ի
		"",                        // ʼĿ¼Ϊ·
		u8"All Files (*);;tif Files (*.tif);;data Files (*.dat);;bin Files (*.bin)"); // ļ͹

	if (!fileName.isEmpty()) {
		this->ui->sloperPathEdit->setText(fileName);
	}
	else {
		QMessageBox::information(this, u8"ûѡļ", u8"ûѡκļ");
	}
}

void QImageSARRFPC::onpushButtonlandcoverClieck()
{
	// ļѡԻѡһ .tif ļ
	QString fileName = QFileDialog::getOpenFileName(this,
		u8"ر",          // Ի
		"",                        // ʼĿ¼Ϊ·
		u8"All Files (*);;tif Files (*.tif);;data Files (*.dat);;bin Files (*.bin)"); // ļ͹

	if (!fileName.isEmpty()) {
		this->ui->landCoverPathEdit->setText(fileName);
	}
	else {
		QMessageBox::information(this, u8"ûѡļ", u8"ûѡκļ");
	}
}

 
void QImageSARRFPC::onBtnaccept()
{


	QString GPSXmlPath = ui->gpsXmlPathEdit->text().trimmed();// u8"D:/Programme/vs2022/RasterMergeTest/TestData/GF3_Simulation_GPSNode.xml";
	QString TaskXmlPath = ui->taskXmlPathEdit->text().trimmed();//u8"D:/Programme/vs2022/RasterMergeTest/TestData/GF3_Simulation_Setting.xml";
	QString demTiffPath = ui->demTiffPathEdit->text().trimmed();//u8"D:/Programme/vs2022/RasterMergeTest/TestData/115E39N_COP30_clip.tif";
	QString landConverPath = ui->landCoverPathEdit->text().trimmed();// u8"D:/Programme/vs2022/RasterMergeTest/TestData/landcover_aligned.tiff";
	QString demsloperPath = ui->sloperPathEdit->text().trimmed();
	QString OutEchoPath = ui->outEchoPathEdit->text().trimmed();// u8"D:/Programme/vs2022/RasterMergeTest/TestData/outData/";
	QString simulationtaskName = ui->simulationTaskNameEdit->text().trimmed();// u8"GF3_Simulation";
	// ߷ͼ
	QString TransAntPatternFilePath = ui->transformPatternFilePathEdit->text().trimmed();// "D:/Programme/vs2022/RasterMergeTest/TestData/ant/ant_model_setting_Horn_conical1_FarField-theta.csv"; // 
	QString ReceiveAntPatternFilePath = ui->receivePatternFilePathEdit->text().trimmed();//"D:/Programme/vs2022/RasterMergeTest/TestData/ant/ant_model_setting_Horn_conical1_FarField-phi.csv";

	// ӡ
	// ӡĲ
	qDebug() << "GPS XML Path: " << GPSXmlPath << "\n"
		<< "Task XML Path: " << TaskXmlPath << "\n"
		<< "DEM TIFF Path: " << demTiffPath<< "\n"
		<< "Land Cover Path: " << landConverPath << "\n"
 
		<< "Trans AntPattern Path: " << TransAntPatternFilePath << "\n"
		<< "Reception AntPattern Path: " << ReceiveAntPatternFilePath << "\n"
		<< "Output Path: " << OutEchoPath << "\n"
		<< "Simulation Task Name: " << simulationtaskName << "\n";

	long cpucore_num = std::thread::hardware_concurrency();

	RFPCProcessMain(cpucore_num, 
		TransAntPatternFilePath, ReceiveAntPatternFilePath, simulationtaskName,
		OutEchoPath, GPSXmlPath, TaskXmlPath, demTiffPath, demsloperPath, landConverPath);

}

void QImageSARRFPC::onBtnReject()
{
	this->close();
}
