#include "SimulationSARToolSARSatalliteSimulationWorkflow.h"
#include "QSimulationSARPolynomialOrbitModel.h"
#include "QtSimulationGeoSARSigma0Dialog.h"
#include <QSimulationLookTableDialog.h>
#include <QCreateSARIntensityByLookTableDialog.h>
#include <QImageSARRFPC.h>
#include <QCreateInSARImagePlaneXYZRDialog.h>
#include <QLookTableResampleFromWGS84ToRange.h>
#include <QSimulationBPImageMultiProduction.h>
#include <QL1ASARProcessDialog.h>
  
SIMULATIONSARTOOL_EXPORT void initSimulationSARToolSARSateSimulationWorkflow(ToolBoxWidget* toolbox)
{
	// 2. ڵģ
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3B"}, new QPolyfitSatelliteGPSModelToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3C"}, new QPolyfitSatelliteGPSModelToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1A"}, new QPolyfitSatelliteGPSModelToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1B"}, new QPolyfitSatelliteGPSModelToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2E"}, new QPolyfitSatelliteGPSModelToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2F"}, new QPolyfitSatelliteGPSModelToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT04"}, new QPolyfitSatelliteGPSModelToolButton(toolbox));


	// 5. DEMͷϢSARͼģ
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3B",u8"DEMͷϢSARͼģ"}, new QGeneratorGeoSimulationRsaterToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3C",u8"DEMͷϢSARͼģ"}, new QGeneratorGeoSimulationRsaterToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1A",u8"DEMͷϢSARͼģ"}, new QGeneratorGeoSimulationRsaterToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1B",u8"DEMͷϢSARͼģ"}, new QGeneratorGeoSimulationRsaterToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2E",u8"DEMͷϢSARͼģ"}, new QGeneratorGeoSimulationRsaterToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2F",u8"DEMͷϢSARͼģ"}, new QGeneratorGeoSimulationRsaterToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT04",u8"DEMͷϢSARͼģ"}, new QGeneratorGeoSimulationRsaterToolButton(toolbox));


	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3B", u8"DEMͷϢSARͼģ"}, new QGeneratorMapGeoAndSltLookTableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3C", u8"DEMͷϢSARͼģ"}, new QGeneratorMapGeoAndSltLookTableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1A", u8"DEMͷϢSARͼģ"}, new QGeneratorMapGeoAndSltLookTableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1B", u8"DEMͷϢSARͼģ"}, new QGeneratorMapGeoAndSltLookTableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2E", u8"DEMͷϢSARͼģ"}, new QGeneratorMapGeoAndSltLookTableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2F", u8"DEMͷϢSARͼģ"}, new QGeneratorMapGeoAndSltLookTableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT04", u8"DEMͷϢSARͼģ"}, new QGeneratorMapGeoAndSltLookTableToolButton(toolbox));


	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3B", u8"DEMͷϢSARͼģ"}, new QSimulationSlrSARRasterToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3C", u8"DEMͷϢSARͼģ"}, new QSimulationSlrSARRasterToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1A", u8"DEMͷϢSARͼģ"}, new QSimulationSlrSARRasterToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1B", u8"DEMͷϢSARͼģ"}, new QSimulationSlrSARRasterToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2E", u8"DEMͷϢSARͼģ"}, new QSimulationSlrSARRasterToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2F", u8"DEMͷϢSARͼģ"}, new QSimulationSlrSARRasterToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT04", u8"DEMͷϢSARͼģ"}, new QSimulationSlrSARRasterToolButton(toolbox));




	//6. ڻز
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3B", u8"ڻز"}, new QEchoDataSimulationSARRFPCToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3C", u8"ڻز"}, new QEchoDataSimulationSARRFPCToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1A", u8"ڻز"}, new QEchoDataSimulationSARRFPCToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1B", u8"ڻز"}, new QEchoDataSimulationSARRFPCToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2E", u8"ڻز"}, new QEchoDataSimulationSARRFPCToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2F", u8"ڻز"}, new QEchoDataSimulationSARRFPCToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT04", u8"ڻز"}, new QEchoDataSimulationSARRFPCToolButton(toolbox));

	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3B", u8"ڻز"}, new QInSARImageNetGeneratorToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3C", u8"ڻز"}, new QInSARImageNetGeneratorToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1A", u8"ڻز"}, new QInSARImageNetGeneratorToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1B", u8"ڻز"}, new QInSARImageNetGeneratorToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2E", u8"ڻز"}, new QInSARImageNetGeneratorToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2F", u8"ڻز"}, new QInSARImageNetGeneratorToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT04", u8"ڻز"}, new QInSARImageNetGeneratorToolButton(toolbox));


	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3B",u8"ڻز"}, new QGeneratorMapGeoAndSltLookTableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3C",u8"ڻز"}, new QGeneratorMapGeoAndSltLookTableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1A",u8"ڻز"}, new QGeneratorMapGeoAndSltLookTableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1B",u8"ڻز"}, new QGeneratorMapGeoAndSltLookTableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2E",u8"ڻز"}, new QGeneratorMapGeoAndSltLookTableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2F",u8"ڻز"}, new QGeneratorMapGeoAndSltLookTableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT04",u8"ڻز"}, new QGeneratorMapGeoAndSltLookTableToolButton(toolbox));

	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3B", u8"ڻز"}, new QMapLooktableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3C", u8"ڻز"}, new QMapLooktableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1A", u8"ڻز"}, new QMapLooktableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1B", u8"ڻز"}, new QMapLooktableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2E", u8"ڻز"}, new QMapLooktableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2F", u8"ڻز"}, new QMapLooktableToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT04", u8"ڻز"}, new QMapLooktableToolButton(toolbox));



	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3B", u8"ڻز"}, new QSimulationBPImageMultiProductionLevel1_2ToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3C", u8"ڻز"}, new QSimulationBPImageMultiProductionLevel1_2ToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1A", u8"ڻز"}, new QSimulationBPImageMultiProductionLevel1_2ToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1B", u8"ڻز"}, new QSimulationBPImageMultiProductionLevel1_2ToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2E", u8"ڻز"}, new QSimulationBPImageMultiProductionLevel1_2ToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2F", u8"ڻز"}, new QSimulationBPImageMultiProductionLevel1_2ToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT04", u8"ڻز"}, new QSimulationBPImageMultiProductionLevel1_2ToolButton(toolbox));



	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3B", u8"ڻز"}, new QSimulationBPImageL1BToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3C", u8"ڻز"}, new QSimulationBPImageL1BToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1A", u8"ڻز"}, new QSimulationBPImageL1BToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1B", u8"ڻز"}, new QSimulationBPImageL1BToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2E", u8"ڻز"}, new QSimulationBPImageL1BToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2F", u8"ڻز"}, new QSimulationBPImageL1BToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT04", u8"ڻز"}, new QSimulationBPImageL1BToolButton(toolbox));
 

	return ;
}

QPolyfitSatelliteGPSModelToolButton::QPolyfitSatelliteGPSModelToolButton(QWidget* parent)
{
	this->toolname = QString(u8"ݹڵϹģ");
}

QPolyfitSatelliteGPSModelToolButton::~QPolyfitSatelliteGPSModelToolButton()
{
}

void QPolyfitSatelliteGPSModelToolButton::run()
{
	QSimulationPolynomialSAROrbitModel* dialog = new QSimulationPolynomialSAROrbitModel;
	dialog->setWindowTitle(u8"ݹڵϹģ");
	dialog->show();
}

QGeneratorGeoSimulationRsaterToolButton::QGeneratorGeoSimulationRsaterToolButton(QWidget* parent)
{
	this->toolname = QString(u8"1.ɵؾģӰ");
}

QGeneratorGeoSimulationRsaterToolButton::~QGeneratorGeoSimulationRsaterToolButton()
{
}

void QGeneratorGeoSimulationRsaterToolButton::run()
{
	QtSimulationGeoSARSigma0Dialog* dialog = new QtSimulationGeoSARSigma0Dialog;
	dialog->setWindowTitle(u8"ɵؾģӰ");
	dialog->show();
}

QGeneratorMapGeoAndSltLookTableToolButton::QGeneratorMapGeoAndSltLookTableToolButton(QWidget* parent)
{
	this->toolname = QString(u8"2.ӳ");
}

QGeneratorMapGeoAndSltLookTableToolButton::~QGeneratorMapGeoAndSltLookTableToolButton()
{
}

void QGeneratorMapGeoAndSltLookTableToolButton::run()
{
	QSimulationLookTableDialog* dialog = new QSimulationLookTableDialog;
	dialog->setWindowTitle(u8"ؾ-бӳ");
	dialog->show();
}

QSimulationSlrSARRasterToolButton::QSimulationSlrSARRasterToolButton(QWidget* parent)
{
	this->toolname = QString(u8"3.бģӰ");
}

QSimulationSlrSARRasterToolButton::~QSimulationSlrSARRasterToolButton()
{
}

void QSimulationSlrSARRasterToolButton::run()
{
	QCreateSARIntensityByLookTableDialog* dialog = new QCreateSARIntensityByLookTableDialog;
	dialog->setWindowTitle(u8"бģӰ");
	dialog->show();
}

QEchoDataSimulationSARRFPCToolButton::QEchoDataSimulationSARRFPCToolButton(QWidget* parent)
{
	this->toolname = QString(u8"1.Ƶɷ");
}

QEchoDataSimulationSARRFPCToolButton::~QEchoDataSimulationSARRFPCToolButton()
{
}

void QEchoDataSimulationSARRFPCToolButton::run()
{
	QImageSARRFPC* dialog = new QImageSARRFPC();
	dialog->setWindowTitle(u8"ɻز-Ƶɷ");
	dialog->show();
}

QInSARImageNetGeneratorToolButton::QInSARImageNetGeneratorToolButton(QWidget* parent)
{
	this->toolname = QString(u8"1.");
}

QInSARImageNetGeneratorToolButton::~QInSARImageNetGeneratorToolButton()
{
}

void QInSARImageNetGeneratorToolButton::run()
{
	QCreateInSARImagePlaneXYZRDialog* dialog = new QCreateInSARImagePlaneXYZRDialog;
	dialog->setWindowTitle(u8"ƽ񻮷");
	dialog->show();
}

QMapLooktableToolButton::QMapLooktableToolButton(QWidget* parent)
{
	this->toolname = QString(u8"3.ұ");
}

QMapLooktableToolButton::~QMapLooktableToolButton()
{
}

void QMapLooktableToolButton::run()
{
	QLookTableResampleFromWGS84ToRange* dialog = new QLookTableResampleFromWGS84ToRange;
	dialog->setWindowTitle(u8"˫ұ");
	dialog->show();
}

QSimulationBPImageMultiProductionLevel1_2ToolButton::QSimulationBPImageMultiProductionLevel1_2ToolButton(QWidget* parent)
{
	this->toolname = QString(u8"4. 1~2Ʒ");
}

QSimulationBPImageMultiProductionLevel1_2ToolButton::~QSimulationBPImageMultiProductionLevel1_2ToolButton()
{
}

void QSimulationBPImageMultiProductionLevel1_2ToolButton::run()
{
	QSimulationBPImageMultiProduction* dialog = new QSimulationBPImageMultiProduction;
	dialog->setWindowTitle(u8"1~2Ʒ");
	dialog->show();
}

QSimulationBPImageL1BToolButton::QSimulationBPImageL1BToolButton(QWidget* parent)
{
	this->toolname = QString(u8"4. L1BƷ");

}

QSimulationBPImageL1BToolButton::~QSimulationBPImageL1BToolButton()
{
}

void QSimulationBPImageL1BToolButton::run()
{
	QL1ASARProcessDialog* dialog = new QL1ASARProcessDialog;
	dialog->setWindowTitle(u8"L1BƷ");
	dialog->show();
}
