#pragma once
///
/// 㷨
/// 
//#define EIGEN_USE_MKL_ALL
//#define EIGEN_VECTORIZE_SSE4_2
//#include <mkl.h>
// ط

#include "BaseTool.h"
#include <iostream>
#include <Eigen/Core>
#include <Eigen/Dense>
#include <time.h>
//#include <mkl.h>
#include <omp.h>
#include "SateOrbit.h"
 using namespace std;
using namespace Eigen;

////////////// ú ////////////////////////

double getRangeColumn(long double R, long double NearRange, long double Fs, long double lamda);
Eigen::MatrixXd getRangeColumn(Eigen::MatrixXd R, long double NearRange, long double Fs, long double lamda);

double getRangebyColumn(double j, long double NearRange, long double Fs, long double lamda);
Eigen::MatrixXd getRangebyColumn(Eigen::MatrixXd j, long double NearRange, long double Fs, long double lamda);
/////////////  ptsn 㷨 /////////////////////

class PSTNAlgorithm {
public:
	// ʼ
	PSTNAlgorithm();
	PSTNAlgorithm(QString parameterPath);
	~PSTNAlgorithm();

	int dem2lat_lon(QString dem_path, QString lon_path, QString lat_path);
	int dem2SAR_RC(QString dem_path, QString sim_rc_path);
	
	// ģ㷨
	Eigen::MatrixX<double> calNumericalDopplerValue(Eigen::MatrixX<double> R);// ֵģⷨƵֵ
	double calNumericalDopplerValue(double R);// ֵģⷨƵֵ
	Eigen::MatrixX<double> calTheoryDopplerValue(Eigen::MatrixX<double> R, Eigen::MatrixX<double> R_s1, Eigen::MatrixX<double> V_s1);//ģͼƵֵ
	double calTheoryDopplerValue(double R, Eigen::MatrixX<double> R_s1, Eigen::MatrixX<double> V_s1);
	Eigen::MatrixX<double> PSTN(Eigen::MatrixX<double> TargetPostion, double ave_dem, double dt, bool isCol ); // DEM
	//Eigen::MatrixXd WGS842J2000(Eigen::MatrixXd blh);
	//Landpoint WGS842J2000(Landpoint p);
public: // WGS84  J2000 ֮ı任
	Eigen::MatrixXd UTC;
	double Xp = 0.204071;
	double Yp = 0.318663;
	double Dut1 = 0.0366742;
	double Dat = 37;
public:
	int height; // Ӱĸ
	int width;
	
	int widthspace;

	// 
	double near_in_angle;// 
	double far_in_angle;// Զ

	// SARĳ
	double fs;// 
	double R0;//б
	double LightSpeed; // 
	double lamda;// 
	double refrange;// οб

	double imgStartTime;// ʼʱ
	double PRF;// ظ

	int doppler_paramenter_number;//ϵ
	MatrixX<double> doppler_paras;// ϵ
	
	OrbitPoly orbit; // ģ

};
 
/// <summary>
/// ,Ƕֵ
/// </summary>
/// <param name="satepoint"></param>
/// <param name="landpoint"></param>
/// <returns></returns>
double getIncAngle(Landpoint& satepoint, Landpoint& landpoint);


/// <summary>
/// ASF㷽
/// </summary>
class ASFOrthClass {

public:
	Eigen::MatrixXd Satellite2ECR(Eigen::Vector3d Rsc, Eigen::Vector3d Vsc); // 任 M
	Eigen::Vector3d UnitVectorOfSatelliteAndTarget(double alpha, double beta, Eigen::MatrixXd M);
	double GetLookFromRangeYaw(double R, double alpha, double beta, Eigen::Vector3d SatellitePosition, Eigen::Vector3d SatelliteVelocity, double R_threshold, double H = 0);
	
	Eigen::Vector3d GetXYZByBetaAlpha(double alpha,double beta, Eigen::Vector3d SatellitePosition,double R, Eigen::MatrixXd M);

	double FD(double alpha, double beta, Eigen::Vector3d SatelliteVelocity, Eigen::Vector3d TargetVelocity,double  R,double  lamda, Eigen::MatrixXd M);
	double FR(double alpha, double beta, Eigen::Vector3d SatellitePosition, Eigen::MatrixXd M, double R_threshold, double H = 0);

	Eigen::Vector3d ASF(double R, Eigen::Vector3d SatellitePosition, Eigen::Vector3d SatelliteVelocity, Eigen::Vector3d TargetPosition, PSTNAlgorithm PSTN, double R_threshold, double H = 0, double alpha0 = 0, double beta0 = 0);

};

/// <summary>
/// 洦
/// </summary>
class simProcess {
public:
	simProcess();
	~simProcess();

	int parameters(int argc, char* argv[]);

	int InitSimulationSAR(QString paras_path,QString workspace_path,QString out_dir_path,QString in_dem_path,QString in_sar_path); // Ӷλ
	
	int CreateSARDEM();
	int dem2SAR(); // лк
	int SARIncidentAngle();
	int SARSimulationWGS();
	int SARSimulation();
	int in_sar_power();
	int ReflectTable_WGS2Range();

	int InitRPCIncAngle(QString paras_path, QString workspace_path, QString out_dir_path, QString in_dem_path,QString in_rpc_lon_lat_path,QString out_inc_angle_path, QString out_local_inc_angle_path, QString out_inc_angle_geo_path, QString out_local_inc_angle_geo_path);
	int dem2SAR_row(); // лк
	int SARIncidentAngle_RPC();
	int createRPCDEM();

	// ɢֵ
	int Scatter2Grid(QString lon_lat_path, QString data_tiff, QString grid_path, double space);

	// ASF ģ
	int InitASFSAR(QString paras_path, QString workspace_path, QString out_dir_path, QString in_dem_path);

	int ASF(QString in_dem_path, QString out_latlon_path, ASFOrthClass asfclass, PSTNAlgorithm PSTN);

	//int dem2simSAR(QString dem_path, QString out_sim_path, PSTNAlgorithm PSTN); // DEMͼ
	int sim_SAR(QString dem_path, QString sim_rc_path, QString sim_sar_path, PSTNAlgorithm PSTN);
	int dem2aspect_slope(QString dem_path, QString aspect_path, QString slope_path);
	int sim_sum_SAR(QString sim_dem_path,QString sim_rc_path, QString sim_orth_path, QString sim_sum_path,PSTNAlgorithm pstn);
	void interpolation_GTC_sar_sigma(QString in_rc_wgs84_path, QString in_ori_sar_path, QString out_orth_sar_path, PSTNAlgorithm pstn);
	// ԭʼӰǿͼ
	int ori_sar_power(QString ori_sar_path, QString out_sar_power_path);

	// ƥƫģ͹
	int createImageMatchModel(QString ori_sar_rsc_path, QString ori_sar_rsc_jpg_path, QString sim_sar_path, QString sim_sar_jpg_path, QString matchmodel_path);


	int correct_ati(QString orth_rc_path, QString dem_path, QString out_inclocal_path, QString out_dem_path, QString out_count_path, PSTNAlgorithm PSTN);

	void calcalIncident_localIncident_angle(QString in_dem_path, QString in_rc_wgs84_path, QString out_incident_angle_path, QString out_local_incident_angle_path, PSTNAlgorithm PSTN);

	void calGEC_Incident_localIncident_angle(QString in_dem_path, QString in_gec_lon_lat_path,QString  out_incident_angle_path, QString out_local_incident_angle_path,PSTNAlgorithm PSTN);

	void interpolation_GTC_sar(QString in_rc_wgs84_path, QString   in_ori_sar_path, QString   out_orth_sar_path, PSTNAlgorithm pstn);
	// RPC
	void CreateRPC_DEM(QString in_rpc_rc_path, QString in_dem_path, QString out_rpc_dem_path);

	void CreateRPC_refrenceTable(QString in_rpc_tiff_path, QString in_merge_dem, QString out_rpc_lon_lat_tiff_path);

	void CorrectionFromSLC2Geo(QString in_lon_lat_path, QString in_radar_path, QString out_radar_path, int in_band_ids);


// ڲ
public:
 
	bool isMatchModel;

	QString workSpace_path;// ռ·
	QString outSpace_path;// ռ·
	PSTNAlgorithm pstn; // 
	/////  RPC ֵ   ///////////////////////////////////
	QString in_rpc_lon_lat_path;
	QString out_dir_path;
	QString workspace_path;
	// ʱļ
	QString rpc_wgs_path;
	QString ori_sim_count_tiff;// ӳļ
	// ļ
	QString out_inc_angle_rpc_path;
	QString out_local_inc_angle_rpc_path;

	// ļ
	QString out_inc_angle_geo_path;
	QString out_local_inc_angle_geo_path;

	///// 淽 /////////


	
	// ʱƷļ
	QString in_dem_path; // DEM
	QString dem_path; // ز֮DEM
	QString dem_r_path;// кӰ
	QString dem_rc_path; // к 
	QString sar_sim_wgs_path;
	QString sar_sim_path;
	QString in_sar_path;
	QString sar_jpg_path;
	QString sar_power_path;
	// ղƷ
	QString out_dem_rc_path; // γкű任ļ

	QString out_dem_slantRange_path; // бļ
	QString out_plant_slantRange_path;// ƽбļ

	//// ASF  /////////////
	QString out_lon_path;// 
	QString out_lat_path;// γ
	QString out_slantRange_path;// бļ

	/// ͬļ ///
	QString out_localIncidenct_path;// ֵ
	QString out_incidence_path; // ļ
	QString out_ori_sim_tiff;// ӳļ'
	QString out_sim_ori_tiff;
};

bool PtInRect(Point3 pCur, Point3 pLeftTop, Point3 pRightTop, Point3 pRightBelow, Point3 pLeftBelow);


