#include "SARSatalliteSimulationWorkflow.h"
#include "QtCreateGPSPointsDialog.h"
#include "QResampleRefrenceRaster.h"
#include "DEMLLA2XYZTool.h"


void initBaseToolSARSateSimulationWorkflow(ToolBoxWidget* toolbox)
{
	// 1. иɹڵ
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3B"}, new TLE2SatePositionVelocityToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3C"}, new TLE2SatePositionVelocityToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1A"}, new TLE2SatePositionVelocityToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1B"}, new TLE2SatePositionVelocityToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2E"}, new TLE2SatePositionVelocityToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2F"}, new TLE2SatePositionVelocityToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT04"}, new TLE2SatePositionVelocityToolButton(toolbox));

	// 3. Ӱ
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3B"}, new QAligendLandClsAndDEMToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3C"}, new QAligendLandClsAndDEMToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1A"}, new QAligendLandClsAndDEMToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1B"}, new QAligendLandClsAndDEMToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2E"}, new QAligendLandClsAndDEMToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2F"}, new QAligendLandClsAndDEMToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT04"}, new QAligendLandClsAndDEMToolButton(toolbox));


	// 4. عʸӰ
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3B"}, new QDEMLLA2XYZSloperVectorToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"GF3C"}, new QDEMLLA2XYZSloperVectorToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1A"}, new QDEMLLA2XYZSloperVectorToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT1B"}, new QDEMLLA2XYZSloperVectorToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2E"}, new QDEMLLA2XYZSloperVectorToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"HJ2F"}, new QDEMLLA2XYZSloperVectorToolButton(toolbox));
	emit toolbox->addBoxToolItemInPathSIGNAL(QVector<QString>{u8"󳡾", u8"LT04"}, new QDEMLLA2XYZSloperVectorToolButton(toolbox));





	
}

TLE2SatePositionVelocityToolButton::TLE2SatePositionVelocityToolButton(QWidget* parent)
{
	this->toolname = QString(u8" иɹڵ");
}

TLE2SatePositionVelocityToolButton::~TLE2SatePositionVelocityToolButton()
{
}

void TLE2SatePositionVelocityToolButton::run()
{
	QtCreateGPSPointsDialog* dialog = new QtCreateGPSPointsDialog;
	dialog->setWindowTitle(u8"иɹڵ");
	dialog->show();
}

QAligendLandClsAndDEMToolButton::QAligendLandClsAndDEMToolButton(QWidget* parent)
{
	this->toolname = QString(u8" Ӱ");
}

QAligendLandClsAndDEMToolButton::~QAligendLandClsAndDEMToolButton()
{
}

void QAligendLandClsAndDEMToolButton::run()
{
	QResampleRefrenceRaster* dialog = new QResampleRefrenceRaster;
	dialog->setWindowTitle(u8"ΣݵդزӰ");
	dialog->show();
}

QDEMLLA2XYZSloperVectorToolButton::QDEMLLA2XYZSloperVectorToolButton(QWidget* parent)
{
	this->toolname = QString(u8" ɵĿʸ");
}

QDEMLLA2XYZSloperVectorToolButton::~QDEMLLA2XYZSloperVectorToolButton()
{
}

void QDEMLLA2XYZSloperVectorToolButton::run()
{
	DEMLLA2XYZTool* dialog = new DEMLLA2XYZTool();
	dialog->setWindowTitle(u8"ݵդɵĿʸ");
	dialog->show();
}
