#include "QEcoherentAndAdditive.h"
#include "ui_QEcoherentAndAdditive.h"
#include <QFileDialog>
#include <QMessageBox>


QEcoherentAndAdditiveDialog::QEcoherentAndAdditiveDialog(QWidget *parent)
	: QDialog(parent)
	,ui(new Ui::QEcoherentAndAdditiveClass)
{
	ui->setupUi(this);

	QObject::connect(ui->pushButtonEchoDataAddSelect, SIGNAL(clicked()), this, SLOT(onpushButtonEchoDataAddSelectClicked()));
	QObject::connect(ui->pushButtonEchoDataSelect, SIGNAL(clicked()), this, SLOT(onpushButtonEchoDataSelectClicked()));
 	QObject::connect(ui->buttonBox, SIGNAL(accepted()), this, SLOT(onaccepted()));
	QObject::connect(ui->buttonBox, SIGNAL(rejected()), this, SLOT(onrejected()));
 }

QEcoherentAndAdditiveDialog::~QEcoherentAndAdditiveDialog()
{}

void QEcoherentAndAdditiveDialog::onpushButtonEchoDataAddSelectClicked()
{
	QString  fileNames = QFileDialog::getOpenFileName(
		this,                           // 
		tr(u8"ѡӰļ"),               // 
		QString(),                      // Ĭ·
		tr(u8"xml Files (*.xml);;All Files (*)")  // ļ
	);

	// ûѡļ
	if (!fileNames.isEmpty()) {
		QString message = "ѡļУ\n";
		this->ui->lineEditEchoDataAddPath->setText(fileNames);
	}
	else {
		QMessageBox::information(this, tr(u8"ûѡļ"), tr(u8"ûѡκļ"));
	}
}

void QEcoherentAndAdditiveDialog::onpushButtonEchoDataSelectClicked()
{
	QString  fileNames = QFileDialog::getOpenFileName(
		this,                           // 
		tr(u8"ѡӰļ"),               // 
		QString(),                      // Ĭ·
		tr(u8"xml Files (*.xml);;All Files (*)")  // ļ
	);

	// ûѡļ
	if (!fileNames.isEmpty()) {
		QString message = "ѡļУ\n";
		this->ui->lineEditEchoDataAdd2Path->setText(fileNames);
	}
	else {
		QMessageBox::information(this, tr(u8"ûѡļ"), tr(u8"ûѡκļ"));
	}
}

void QEcoherentAndAdditiveDialog::onaccepted()
{
	QString echo1Path = this->ui->lineEditEchoDataAddPath->text();
	QString echo2Path = this->ui->lineEditEchoDataAdd2Path->text();





	QMessageBox::information(this, tr(u8"ʾ"), tr(u8""));
}

void QEcoherentAndAdditiveDialog::onrejected()
{
}
